# Uses of Interface
org.bukkit.block.Lectern

Packages that use Lectern
Package
Description
io.papermc.paper.event.player
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of Lectern in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return Lectern
Modifier and Type
Method
Description
`@NotNull Lectern`
PlayerLecternPageChangeEvent.`getLectern()`
Gets the lectern involved.
Constructors in io.papermc.paper.event.player with parameters of type Lectern
Modifier
Constructor
Description
``
`PlayerLecternPageChangeEvent(@NotNull Player player, @NotNull Lectern lectern, @NotNull ItemStack book, @NotNull PlayerLecternPageChangeEvent.PageChangeDirection pageChangeDirection, int oldPage, int newPage)`

## Uses of Lectern in org.bukkit.event.player

Methods in org.bukkit.event.player that return Lectern
Modifier and Type
Method
Description
`@NotNull Lectern`
PlayerTakeLecternBookEvent.`getLectern()`
Gets the lectern involved.
Constructors in org.bukkit.event.player with parameters of type Lectern
Modifier
Constructor
Description
``
`PlayerTakeLecternBookEvent(@NotNull Player who, @NotNull Lectern lectern)`

## Uses of Lectern in org.bukkit.inventory

Methods in org.bukkit.inventory that return Lectern
Modifier and Type
Method
Description
`@Nullable Lectern`
LecternInventory.`getHolder()`